Description

Associated revisions
Revision 78ac5f33 - 04/03/2013 06:19 PM - J. Moringen

Use new variable id-random-state in uuid-mixin in src/util

fixes #1326

    -  src/variables.lisp (header): updated copyright
  (id-random-state): new special variable; stores the random state
  which should be used for generation of pseudo random ids and similar
  things

    -  src/util.lisp (header): updated copyright
  (shared-initialize :after uuid-mixin t): use `*id-random-state*'
  when generating random IDs

    -  src/reloading.lisp: new file; contains code to be executed at image
  initialization/shutdown

    -  src/package.lisp (package rsb): added exported
  symbols id-random-state and enable-id-random-state-reseed

    -  test/util.lisp: new file; contains unit tests for utility
  functionality; currently

    -  cl-rsb.asd (system cl-rsb): added file src/reloading.lisp
  (system cl-rsb-test): added file test/util.lisp

Revision 4b18db7d - 04/03/2013 07:44 PM - J. Moringen

Fixed load order of src/{variables,configuration}.lisp

refs #1326

    -  src/variables.lisp (default-configuration): use nil as initial
  value; a proper value is set in src/configuration.lisp

    -  src/configuration.lisp (toplevel): removed forward declarations of
  variables; set default-configuration

    -  cl-rsb.asd (system cl-rsb): moved src/variables.lisp from module src
  to module src-early

Revision c578974d - 04/03/2013 07:45 PM - J. Moringen

Use new variable id-random-state in uuid-mixin in src/util
fixes #1326

    -  src/variables.lisp (header): updated copyright
  (id-random-state): new special variable; stores the random state
  which should be used for generation of pseudo random ids and similar
  things

    -  src/util.lisp (header): updated copyright
  (shared-initialize :after uuid-mixin t): use `*id-random-state*'
  when generating random IDs

    -  src/reloading.lisp: new file; contains code to be executed at image
  initialization/shutdown

    -  src/package.lisp (package rsb): added exported
  symbols id-random-state and enable-id-random-state-reseed

    -  test/util.lisp: new file; contains unit tests for utility
  functionality; currently

    -  cl-rsb.asd (system cl-rsb): added file src/reloading.lisp; added
  dependency of src/util.lisp on src/variables.lisp
  (system cl-rsb-test): added file test/util.lisp

Revision 6daebe52 - 04/04/2013 05:14 AM - J. Moringen

Call rsb:enable-id-random-state-reseed in main/dump.lisp

refs #1326

    -  main/dump.lisp (toplevel): call `rsb:enable-id-random-state-reseed'
  to ensure reseeding of the random state for id generation on startup

Revision 13dcd47e - 04/04/2013 05:26 AM - J. Moringen

Call rsb:enable-id-random-state-reseed in main/dump.lisp

refs #1326

    -  main/dump.lisp (toplevel): call `rsb:enable-id-random-state-reseed'
  to ensure reseeding of the random state for id generation on startup

History
#1 - 03/28/2013 06:12 PM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 40

#2 - 04/03/2013 06:20 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 40 to 100

Applied in changeset rsb-cl|commit:78ac5f33574dc094e26774dc81bad9e6c7b6a620.
